Rudiments

Public Member Functions | List of all members
compilerprocessor Class Referenceabstract

Inherits compilermodule.

## Public Member Functions
| compilerprocessor ()
virtual | ~compilerprocessor ()
virtual bool | process (domnode *tree, domnode *metadata)=0
Public Member Functions inherited from compilermodule
| compilermodule ()
virtual | ~compilermodule ()
void | setId (const char *id)
bool | setParameters (const char *parameters)
void | setParameters (domnode *parameters)
const char * | getId ()
domnode * | getParameters ()

## Additional Inherited Members
Protected Attributes inherited from compilermodule
const char * | id
domnode * | parameters

## Detailed Description

The compilerprocessor class is the base class for compiler modules that process the tree that was built by parsing a unit of code based on a grammar describing its native format.

Processor modules take a tree that represents code in one language or format and alter the tree until it represents code in a different language or format.

## Constructor & Destructor Documentation

## ◆ compilerprocessor()

compilerprocessor::compilerprocessor | ( |  | ) |

Creates a new instance of the compilerprocessor class.

## ◆ ~compilerprocessor()

virtual compilerprocessor::~compilerprocessor | ( |  | ) |
| virtual

Deletes this instance of the compilerprocessor class.

## Member Function Documentation

## ◆ process()

virtual bool compilerprocessor::process | ( | domnode * | tree,
|  | domnode * | metadata
| ) |  |
| pure virtual

Processes "tree", writing the result to "output", optionally referring to and/or updating "metadata" during the process. Returns true on success and false on failure.